Ticket #44274

Editor: removing a king kills player

Open Date: 2022-04-03 07:04 Last Update: 2022-04-05 20:31

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

We could create a gameloss unit by mistake or something. There should be a way to remove it without usual game consequences for the nation. If we want to kill a player in editor, we have a special command for it.

Ticket History (3/8 Histories)

2022-04-03 07:04 Updated by: ihnatus
  • New Ticket "Editor: removing a king kills player" created
2022-04-03 07:23 Updated by: cazfi
Comment

As you set target to 3.0.1 when we already target most stuff to 3.0.2, is that to be taken as a promise that you do this yourself? The fix is likely to contain translatable strings, and if so, the patch needs to pass review period before the string freeze begins -> needs to be set "Accepted" at least 36h before 6.4 21:00 UTC -> 5.4 09:00 UTC

( 3.0.1 schedule as currently planned on freeciv-dev mailing list: https://www.freelists.org/post/freeciv-dev/301,5 )

2022-04-03 19:59 Updated by: ihnatus
Comment

Well, it seems small enough (what translatable strings?), probably I'll do it soon.

2022-04-04 02:24 Updated by: ihnatus
Comment

Ready. Tested on S3.0...3.2.

2022-04-04 03:10 Updated by: alienvalkyrie
  • Owner Update from (None) to alienvalkyrie
  • Resolution Update from None to Accepted
Comment

Looks good.

Without having tested it myself yet – does this also affect gameloss units killed by loss of native tiles due to edited terrain? (I'm assuming the answer is "no".) Having tested it now, the answer is "no".
Do we want it to also affect that? (I'm assuming the answer is "for simplicity's sake, no".) If yes, are you planning on adding that to this patch, or making it a separate ticket?

(Edited, 2022-04-04 03:26 Updated by: alienvalkyrie)
2022-04-04 05:51 Updated by: ihnatus
Comment

Reply To alienvalkyrie

Looks good. Without having tested it myself yet – does this also affect gameloss units killed by loss of native tiles due to edited terrain? (I'm assuming the answer is "no".) Having tested it now, the answer is "no".
Do we want it to also affect that? (I'm assuming the answer is "for simplicity's sake, no".) If yes, are you planning on adding that to this patch, or making it a separate ticket?

Actually, I did not think about it, neither do I plan it now. If you want it, feel free to do it ;)

UPD: A side effect detected, Lua (Unit):kill("editor") also will not destroy a nation if applied to a Leader.

(Edited, 2022-04-04 08:36 Updated by: ihnatus)
2022-04-05 20:31 Updated by: alienvalkyrie
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
  • Component Update from (None) to Server
Comment

Reply To ihnatus

Reply To alienvalkyrie

Do we want it to also affect that? (I'm assuming the answer is "for simplicity's sake, no".) If yes, are you planning on adding that to this patch, or making it a separate ticket?

Actually, I did not think about it, neither do I plan it now. If you want it, feel free to do it ;)

I don't think it's worth the hassle; it would probably require a whole notion of "indirect cause" (which might be neat, but not necessarily useful in most other places).

UPD: A side effect detected, Lua (Unit):kill("editor") also will not destroy a nation if applied to a Leader.

That's a sensible change anyhow. I've documented it on the wiki.

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login